# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.felix.utils.log.Logger
Modifier and Type
Constant Field
Value
`public static final int`
`LOG_DEBUG`
`4`
`public static final int`
`LOG_ERROR`
`1`
`public static final int`
`LOG_INFO`
`3`
`public static final int`
`LOG_WARNING`
`2`

org.apache.felix.utils.service.BaseManagedServiceFactory<T>
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_TIMEOUT_BEFORE_INTERRUPT`
`30000L`

org.apache.felix.utils.version.VersionRange
Modifier and Type
Constant Field
Value
`public static final int`
`ANY`
`40`
`public static final int`
`EXACT`
`0`
`public static final int`
`MAJOR`
`3`
`public static final int`
`MICRO`
`1`
`public static final int`
`MINOR`
`2`